﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCCPIC_RBTGT_ITEMFOMUL', 'T_OCCPIC_RBTGT_ITEMFOMUL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_RBTGT_ITEMFOMUL' AND KSQL_INDNAME = 'IDX_OCCPIC_RBTGTITEMFOMUL_FID') CREATE INDEX IDX_OCCPIC_RBTGTITEMFOMUL_FID ON T_OCCPIC_RBTGT_ITEMFOMUL ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_RP_ITEMFOMUL', 'T_OCCPIC_RP_ITEMFOMUL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_RP_ITEMFOMUL' AND KSQL_INDNAME = 'IDX_OCCPIC_RPITEMFOMUL_FID') CREATE INDEX IDX_OCCPIC_RPITEMFOMUL_FID ON T_OCCPIC_RP_ITEMFOMUL ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEUSE', 'T_OCCPIC_REBATEUSE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEUSE' AND KSQL_INDNAME = 'IDX_OCCPIC_REBATEUSE_FBILLNO') CREATE INDEX IDX_OCCPIC_REBATEUSE_FBILLNO ON T_OCCPIC_REBATEUSE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEUSEENTRY', 'T_OCCPIC_REBATEUSEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEUSEENTRY' AND KSQL_INDNAME = 'IDX_OCCPIC_REBATEUSEENTRY_ID') CREATE INDEX IDX_OCCPIC_REBATEUSEENTRY_ID ON T_OCCPIC_REBATEUSEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_IREBATE_MODEL', 'T_OCCPIC_IREBATE_MODEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_MODEL' AND KSQL_INDNAME = 'IDX_OCCPIC_IRM_NO') CREATE INDEX IDX_OCCPIC_IRM_NO ON T_OCCPIC_IREBATE_MODEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCCPIC_IREBATE_MODEL_L', 'T_OCCPIC_IREBATE_MODEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_MODEL_L' AND KSQL_INDNAME = 'IDX_OCCPIC_IREBATE_MODEL_L') CREATE INDEX IDX_OCCPIC_IREBATE_MODEL_L ON T_OCCPIC_IREBATE_MODEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCCPIC_IREBATE_SOURCE', 'T_OCCPIC_IREBATE_SOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_SOURCE' AND KSQL_INDNAME = 'IDX_IREBATE_SOURCE_MODEL') CREATE INDEX IDX_IREBATE_SOURCE_MODEL ON T_OCCPIC_IREBATE_SOURCE ( FIREBATEMODELID );


 EXEC P_ALTERPK 'PK_OCCPIC_IREBATE_SOURCE_L', 'T_OCCPIC_IREBATE_SOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_SOURCE_L' AND KSQL_INDNAME = 'IDX_OCCPIC_IREBATE_SOURCE_L') CREATE INDEX IDX_OCCPIC_IREBATE_SOURCE_L ON T_OCCPIC_IREBATE_SOURCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCCPIC_IRM_CALCFIELD', 'T_OCCPIC_IRM_CALCFIELD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IRM_CALCFIELD' AND KSQL_INDNAME = 'IDX_OCCPIC_IRM_CALCFIELD') CREATE INDEX IDX_OCCPIC_IRM_CALCFIELD ON T_OCCPIC_IRM_CALCFIELD ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_IRM_DATASOURCE', 'T_OCCPIC_IRM_DATASOURCE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IRM_DATASOURCE' AND KSQL_INDNAME = 'IDX_OCCPIC_IRM_DATASOURCE') CREATE INDEX IDX_OCCPIC_IRM_DATASOURCE ON T_OCCPIC_IRM_DATASOURCE ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_IRM_PROP', 'T_OCCPIC_IRM_PROP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IRM_PROP' AND KSQL_INDNAME = 'IDX_OCCPIC_IRM_PROP') CREATE INDEX IDX_OCCPIC_IRM_PROP ON T_OCCPIC_IRM_PROP ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_IRS_FIELDMAP', 'T_OCCPIC_IRS_FIELDMAP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_OCCPIC_IRS_FIELDMAP' AND KSQL_INDNAME = 'IDX_OCCPIC_IRS_FIELDMAP') CREATE INDEX IDX_OCCPIC_IRS_FIELDMAP ON T_OCCPIC_IRS_FIELDMAP ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_constraint.sql **/
