﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEBILL') 
 CREATE TABLE T_OCCPIC_REBATEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FREBATETYPE CHAR(1) DEFAULT '1' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSALERID BIGINT DEFAULT 1 NOT NULL,
FBILLFROM CHAR(1) DEFAULT '2' NOT NULL,
FSETTMENTTYPE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEENTRY') 
 CREATE TABLE T_OCCPIC_REBATEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FATTRVALUEID BIGINT DEFAULT 0 NOT NULL,
FOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFROMDATE DATETIME,
FTODATE DATETIME,
FENTRYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEPREBUDGET') 
 CREATE TABLE T_OCCPIC_REBATEPREBUDGET (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSORGID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYTARGETID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTOTALPRECVYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRBTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALBDGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FPREBUDGETDATE DATETIME,
FPREBUDGETORGID BIGINT DEFAULT 0 NOT NULL,
FRPPRECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FRPBEGINDATE DATETIME,
FRPENDDATE DATETIME,
FRPAREADEPID BIGINT DEFAULT 0 NOT NULL,
FRPREPRESENTOFFICEID BIGINT DEFAULT 0 NOT NULL,
FRPAREAID BIGINT DEFAULT 0 NOT NULL,
FRPCONTRACTSUBJECT BIGINT DEFAULT 0 NOT NULL,
FRPCHANNELFIRSTGROUPID BIGINT DEFAULT 0 NOT NULL,
FRPCHANNELSECONDGROUPID BIGINT DEFAULT 0 NOT NULL,
FRPGOODSALEPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FRPINCENTIVETYPE CHAR(1) DEFAULT '0' NOT NULL,
FRPINCENTIVESUBTYPE CHAR(1) DEFAULT '0' NOT NULL,
FRPDESTCACULATETYPE CHAR(1) DEFAULT '0' NOT NULL,
FRPBUDGETCYCLE CHAR(1) DEFAULT 'B' NOT NULL,
FRPPDESTFORMULAID BIGINT DEFAULT 0 NOT NULL,
FISBUDGETFINISH CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FREBATETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FLADDERTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVERSION BIGINT DEFAULT 1 NOT NULL,
FCHANGESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCONFIRMDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEPBDGENTRY') 
 CREATE TABLE T_OCCPIC_REBATEPBDGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYTARGETID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FITEMINFOID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FSALEORDERID BIGINT DEFAULT 0 NOT NULL,
FSALEORDERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSALEORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFRAMECONTRACTID BIGINT DEFAULT 0 NOT NULL,
FFRAMECONTRACTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTCONSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCONSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERUNITREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROFITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSDREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FHASBUDGETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSDHASBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSDHASPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSOCIATEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVEYTIME DATETIME,
FARRIVALTIME DATETIME,
FBENEFITCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FACTUALUNITREBATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RBTGT_SIGNCUST') 
 CREATE TABLE T_OCCPIC_RBTGT_SIGNCUST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCHLFIRSTCLASSID BIGINT DEFAULT 0 NOT NULL,
FSCHLSECCLASSID BIGINT DEFAULT 0 NOT NULL,
FSCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RBTGT_FORM_DT') 
 CREATE TABLE T_OCCPIC_RBTGT_FORM_DT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FICTPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RBTGT_ITEMCLASS') 
 CREATE TABLE T_OCCPIC_RBTGT_ITEMCLASS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FFIRSTLEVELID BIGINT DEFAULT 0 NOT NULL,
FSECLEVELID BIGINT DEFAULT 0 NOT NULL,
FTHIRDLEVELID BIGINT DEFAULT 0 NOT NULL,
FFOURTHLEVELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RBTGT_SALESATTR') 
 CREATE TABLE T_OCCPIC_RBTGT_SALESATTR (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEBASETAB') 
 CREATE TABLE T_OCCPIC_REBATEBASETAB (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FREGIONID BIGINT DEFAULT 0 NOT NULL,
FREPOFFICEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSIGNENTITYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRODUCTNOID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FATA DATETIME,
FPOD DATETIME,
FDELIVERYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEPOLICY') 
 CREATE TABLE T_OCCPIC_REBATEPOLICY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FAREADEPTID BIGINT DEFAULT 0 NOT NULL,
FRPTOFFICEID BIGINT DEFAULT 0 NOT NULL,
FKPIID BIGINT DEFAULT 0 NOT NULL,
FREDUCETYPEID BIGINT DEFAULT 0 NOT NULL,
FREBATEFORMULAID BIGINT DEFAULT 0 NOT NULL,
FREBATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFORMULALEVEL CHAR(1) DEFAULT '1' NOT NULL,
FSETTPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTARGET CHAR(1) DEFAULT 'A' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHIGHESTREBATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASELINEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASELINEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSIGNPARTYID BIGINT DEFAULT 0 NOT NULL,
FISREALTIME CHAR(1) DEFAULT '0' NOT NULL,
FEXPLICATION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFORMULAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATETARGET') 
 CREATE TABLE T_OCCPIC_REBATETARGET (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FPOLICYID BIGINT DEFAULT 0 NOT NULL,
FBNFCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FBNFCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCHLFIRSTCLASSID BIGINT DEFAULT 0 NOT NULL,
FCHLSECCLASSID BIGINT DEFAULT 0 NOT NULL,
FSIGNPARTYID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FAREADEPTID BIGINT DEFAULT 0 NOT NULL,
FRPTOFFICEID BIGINT DEFAULT 0 NOT NULL,
FKPIID BIGINT DEFAULT 0 NOT NULL,
FREDUCETYPEID BIGINT DEFAULT 0 NOT NULL,
FREBATEFORMULAID BIGINT DEFAULT 0 NOT NULL,
FREBATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFORMULALEVEL CHAR(1) DEFAULT '1' NOT NULL,
FSETTPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTARGET CHAR(1) DEFAULT '1' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHIGHESTREBATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASELINEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASELINEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPRESETTLE CHAR(1) DEFAULT '0' NOT NULL,
FISREALTIME CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RP_BNFCUST') 
 CREATE TABLE T_OCCPIC_RP_BNFCUST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBCHLFIRSTCLASSID BIGINT DEFAULT 0 NOT NULL,
FBCHLSECCLASSID BIGINT DEFAULT 0 NOT NULL,
FBCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FBCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RP_FORMULA') 
 CREATE TABLE T_OCCPIC_RP_FORMULA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FICTPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RP_ITEMCLASS') 
 CREATE TABLE T_OCCPIC_RP_ITEMCLASS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FFIRSTCLASSID BIGINT DEFAULT 0 NOT NULL,
FSECCLASSID BIGINT DEFAULT 0 NOT NULL,
FTHIRDCLASSID BIGINT DEFAULT 0 NOT NULL,
FFOURTHCLASSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RP_SIGNCUST') 
 CREATE TABLE T_OCCPIC_RP_SIGNCUST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCHLFIRSTCLASSID BIGINT DEFAULT 0 NOT NULL,
FSCHLSECCLASSID BIGINT DEFAULT 0 NOT NULL,
FSCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RPSALESATTRS') 
 CREATE TABLE T_OCCPIC_RPSALESATTRS (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATESTATEMENT') 
 CREATE TABLE T_OCCPIC_REBATESTATEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FIDENTIFY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTOTALSTATEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREBAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSTATEMENTORGID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FSTMCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAREADEPTID BIGINT DEFAULT 0 NOT NULL,
FOFFICEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FCHANNELFIRSTGROUPID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSECONDGROUPID BIGINT DEFAULT 0 NOT NULL,
FINCENTIVETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FINCENTIVESUBTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FDESTCACULATETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FBUDGETCYCLE CHAR(1) DEFAULT 'B' NOT NULL,
FSTATEMENTDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSALESATTRSID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATESTMENTRY') 
 CREATE TABLE T_OCCPIC_REBATESTMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREBATEPOLICYTARGETID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FITEMINFOID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERUNITREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FDELIVEYTIME DATETIME,
FARRIVALTIME DATETIME,
FBENEFITCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEORDERNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROPAYUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALUNITREBATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTSTUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCUNITRBAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTSTATEMENTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATEMENTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROFITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURORDERID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FSOURCEORDERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FHASBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEORDERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFRAMECONTRACTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_FLOWRECORD') 
 CREATE TABLE T_OCCPIC_FLOWRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FAREADEPTID BIGINT DEFAULT 0 NOT NULL,
FOFFICEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FACCOUTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTMCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCHANGEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEFOREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSACTION CHAR(1) DEFAULT 'A' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEPRBD_SA') 
 CREATE TABLE T_OCCPIC_REBATEPRBD_SA (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RBTGT_ICSUB') 
 CREATE TABLE T_OCCPIC_RBTGT_ICSUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBFIRSTCLASS BIGINT DEFAULT 0 NOT NULL,
FSUBSECONDCLASS BIGINT DEFAULT 0 NOT NULL,
FSUBTHIRDCLASS BIGINT DEFAULT 0 NOT NULL,
FSUBFOURTHCLASS BIGINT DEFAULT 0 NOT NULL,
FSUBPRODUCTMODEL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RP_ITSUBENTRY') 
 CREATE TABLE T_OCCPIC_RP_ITSUBENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUBFIRSTCLASSID BIGINT DEFAULT 0 NOT NULL,
FSUBSECONDCLASSID BIGINT DEFAULT 0 NOT NULL,
FSUBTHIRDCLASSID BIGINT DEFAULT 0 NOT NULL,
FSUBFOURTHCLASSID BIGINT DEFAULT 0 NOT NULL,
FSUBPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_PRET_RELATION') 
 CREATE TABLE T_OCCPIC_PRET_RELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRIESID BIGINT DEFAULT 0 NOT NULL,
FAREADEPTID BIGINT DEFAULT 0 NOT NULL,
FRPTOFFICEID BIGINT DEFAULT 0 NOT NULL,
FSIGNCUSTOMERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSIGNCUSTOMERBGID BIGINT DEFAULT 0 NOT NULL,
FBCHLFIRSTCLASSID BIGINT DEFAULT 0 NOT NULL,
FBCHLSECCLASSID BIGINT DEFAULT 0 NOT NULL,
FCHILDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FINSPIRETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTARGETCALTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSETTPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRPCONTRACTSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FRPBEGINDATE DATETIME,
FRPENDDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RELATIONENTITY') 
 CREATE TABLE T_OCCPIC_RELATIONENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERCHANELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERBGID BIGINT DEFAULT 0 NOT NULL,
FFIRSTLEVELID BIGINT DEFAULT 0 NOT NULL,
FSECLEVELID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTNUMBERID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FATAMAX DATETIME,
FPODMAX DATETIME,
FORDERNUMSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNNUMSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUPDATETIME DATETIME,
FPOLICYGOALID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FITEMINFOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_PRETCORRES') 
 CREATE TABLE T_OCCPIC_PRETCORRES (
FID BIGINT DEFAULT 0 NOT NULL,
FPOLICYGOALID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FBASEROWID BIGINT DEFAULT 0 NOT NULL,
RECORDTIME DATETIME,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FICTPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECORDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_PACKINSTRUCT') 
 CREATE TABLE T_OCCPIC_PACKINSTRUCT (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_BALANCEAD_ENTRY') 
 CREATE TABLE T_OCCPIC_BALANCEAD_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATESTM_SA') 
 CREATE TABLE T_OCCPIC_REBATESTM_SA (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RELATIONLOG') 
 CREATE TABLE T_OCCPIC_RELATIONLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYID BIGINT DEFAULT 0 NOT NULL,
FPOLICYGOALID BIGINT DEFAULT 0 NOT NULL,
FPRETRELATION NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRETRELATIONENTRY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FATAMAX DATETIME,
FPODMAX DATETIME,
FORDERNUMSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNNUMSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREBUDGETBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUPDATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEPREBD_X') 
 CREATE TABLE T_OCCPIC_REBATEPREBD_X (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSORGID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYTARGETID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTOTALPRECVYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRBTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALBDGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FPREBUDGETDATE DATETIME,
FPREBUDGETORGID BIGINT DEFAULT 0 NOT NULL,
FRPPRECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FRPBEGINDATE DATETIME,
FRPENDDATE DATETIME,
FRPAREADEPID BIGINT DEFAULT 0 NOT NULL,
FRPREPRESENTOFFICEID BIGINT DEFAULT 0 NOT NULL,
FRPAREAID BIGINT DEFAULT 0 NOT NULL,
FRPCONTRACTSUBJECT BIGINT DEFAULT 0 NOT NULL,
FRPCHANNELFIRSTGROUPID BIGINT DEFAULT 0 NOT NULL,
FRPCHANNELSECONDGROUPID BIGINT DEFAULT 0 NOT NULL,
FRPGOODSALEPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FRPINCENTIVETYPE CHAR(1) DEFAULT '0' NOT NULL,
FRPINCENTIVESUBTYPE CHAR(1) DEFAULT '0' NOT NULL,
FRPDESTCACULATETYPE CHAR(1) DEFAULT '0' NOT NULL,
FRPBUDGETCYCLE CHAR(1) DEFAULT 'B' NOT NULL,
FRPPDESTFORMULAID BIGINT DEFAULT 0 NOT NULL,
FISBUDGETFINISH CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FREBATETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FLADDERTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVERSION BIGINT DEFAULT 1 NOT NULL,
FCHANGESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCONFIRMDATE DATETIME,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RBBDENTRY_X') 
 CREATE TABLE T_OCCPIC_RBBDENTRY_X (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FREBATEPOLICYTARGETID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FSALEORDERID BIGINT DEFAULT 0 NOT NULL,
FSALEORDERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSALEORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFRAMECONTRACTID BIGINT DEFAULT 0 NOT NULL,
FFRAMECONTRACTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTCONSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCONSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERUNITREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROFITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSDREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FHASBUDGETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSDHASBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSDHASPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSOCIATEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVEYTIME DATETIME,
FARRIVALTIME DATETIME,
FBENEFITCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FACTUALUNITREBATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL,
FBILLENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEPREBD_X_C') 
 CREATE TABLE T_OCCPIC_REBATEPREBD_X_C (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANGECANCELERID BIGINT DEFAULT 0 NOT NULL,
FCHANGECANCELDATE DATETIME,
FCHANGECANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGEBIZDATE DATETIME,
FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEPRBD_SA_X') 
 CREATE TABLE T_OCCPIC_REBATEPRBD_SA_X (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEMONTHLY_L') 
 CREATE TABLE T_OCCPIC_REBATEMONTHLY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEMONTHLY') 
 CREATE TABLE T_OCCPIC_REBATEMONTHLY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMONTHLYPERIOD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REMON_ENTRY') 
 CREATE TABLE T_OCCPIC_REMON_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBUSINESSORGID BIGINT DEFAULT 0 NOT NULL,
FREPOLICYTARGETID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FAREADEPTID BIGINT DEFAULT 0 NOT NULL,
FRPREPRESENTOFFICEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FRPCONTRACTSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FSECORDCHANNELCLASSID BIGINT DEFAULT 0 NOT NULL,
FRPPDESTFORMULA NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRPINCENTIVETYPE CHAR(1) DEFAULT '0' NOT NULL,
FRPBUDGETCYCLE CHAR(1) DEFAULT 'B' NOT NULL,
FRPINCENTIVESUBTYP CHAR(1) DEFAULT '0' NOT NULL,
FRPDESTCACULATETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FRPBEGINDATE DATETIME,
FRPENDDATE DATETIME,
FPAYTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FLADDERTYPEID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTMODELID BIGINT DEFAULT 0 NOT NULL,
FFIRSTPRODUCTCLASSID BIGINT DEFAULT 0 NOT NULL,
FSECONDPRODUCTCLASSID BIGINT DEFAULT 0 NOT NULL,
FTHIRDPRODUCTCLASSID BIGINT DEFAULT 0 NOT NULL,
FFOURPRODUCTCLASSID BIGINT DEFAULT 0 NOT NULL,
FFRAMECONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRODUCTCODE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROFITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISBUDGETFINISH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REMON_ENTRY_M') 
 CREATE TABLE T_OCCPIC_REMON_ENTRY_M (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNQTYNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASSETTLENUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRPPRECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPERUNITREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROSALEISTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTENDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTENDSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTRRNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '0' NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_BALANCEADJUST') 
 CREATE TABLE T_OCCPIC_BALANCEADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FAREADEPTID BIGINT DEFAULT 0 NOT NULL,
FRPTOFFICEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FSIGNPARTYID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FADJUSTTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_table.sql **/
