﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RBTGT_ITEMFOMUL')
 CREATE TABLE T_OCCPIC_RBTGT_ITEMFOMUL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGROUP INT DEFAULT 0 NOT NULL,
FCONDITONGROUPID BIGINT DEFAULT 0 NOT NULL,
FITEMMINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMINACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMAXACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMICTPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMFIXEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMBLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMBLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_RP_ITEMFOMUL')
 CREATE TABLE T_OCCPIC_RP_ITEMFOMUL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGROUP INT DEFAULT 0 NOT NULL,
FCONDITONGROUPID BIGINT DEFAULT 0 NOT NULL,
FITEMMINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMINACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMAXACHIVE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMICTPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMFIXEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMBLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMBLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_BNFCUST' AND KSQL_COL_NAME ='FCHANNELID')
 ALTER TABLE T_OCCPIC_RP_BNFCUST ADD (FCHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_BNFCUST' AND KSQL_COL_NAME ='FCHANNELCLASSID')
 ALTER TABLE T_OCCPIC_RP_BNFCUST ADD (FCHANNELCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_BNFCUST' AND KSQL_COL_NAME ='FCUSTOMERID')
 ALTER TABLE T_OCCPIC_RP_BNFCUST ADD (FCUSTOMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_BNFCUST' AND KSQL_COL_NAME ='FCUSTOMERCLASSID')
 ALTER TABLE T_OCCPIC_RP_BNFCUST ADD (FCUSTOMERCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_BNFCUST' AND KSQL_COL_NAME ='FBLQTY')
 ALTER TABLE T_OCCPIC_RP_BNFCUST ADD (FBLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_BNFCUST' AND KSQL_COL_NAME ='FBLAMOUNT')
 ALTER TABLE T_OCCPIC_RP_BNFCUST ADD (FBLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RBTGT_ITEMCLASS' AND KSQL_COL_NAME ='FITEMCLASSID')
 ALTER TABLE T_OCCPIC_RBTGT_ITEMCLASS ADD (FITEMCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RBTGT_ITEMCLASS' AND KSQL_COL_NAME ='FMATERIALCLASSID')
 ALTER TABLE T_OCCPIC_RBTGT_ITEMCLASS ADD (FMATERIALCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_ITEMCLASS' AND KSQL_COL_NAME ='FITEMCLASSID')
 ALTER TABLE T_OCCPIC_RP_ITEMCLASS ADD (FITEMCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_RP_ITEMCLASS' AND KSQL_COL_NAME ='FMATERIALCLASSID')
 ALTER TABLE T_OCCPIC_RP_ITEMCLASS ADD (FMATERIALCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEUSE')
 CREATE TABLE T_OCCPIC_REBATEUSE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_REBATEUSEENTRY')
 CREATE TABLE T_OCCPIC_REBATEUSEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPREBUDGET' AND KSQL_COL_NAME ='FREBATECUSTOMERID')
 ALTER TABLE T_OCCPIC_REBATEPREBUDGET ADD (FREBATECUSTOMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPREBUDGET' AND KSQL_COL_NAME ='FBILLSOURCE')
 ALTER TABLE T_OCCPIC_REBATEPREBUDGET ADD (FBILLSOURCE CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPBDGENTRY' AND KSQL_COL_NAME ='FREPOLICYTGTGROUP')
 ALTER TABLE T_OCCPIC_REBATEPBDGENTRY ADD (FREPOLICYTGTGROUP INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_FLOWRECORD' AND KSQL_COL_NAME ='FFLOWSTATUS')
 ALTER TABLE T_OCCPIC_FLOWRECORD ADD (FFLOWSTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_FLOWRECORD' AND KSQL_COL_NAME ='FOPERATION')
 ALTER TABLE T_OCCPIC_FLOWRECORD ADD (FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPOLICY' AND KSQL_COL_NAME ='FBIZORGID')
 ALTER TABLE T_OCCPIC_REBATEPOLICY ADD (FBIZORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPOLICY' AND KSQL_COL_NAME ='FBALANCEORGID')
 ALTER TABLE T_OCCPIC_REBATEPOLICY ADD (FBALANCEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPOLICY' AND KSQL_COL_NAME ='FTARGETCALTYPE')
 ALTER TABLE T_OCCPIC_REBATEPOLICY ADD (FTARGETCALTYPE NVARCHAR(20) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPOLICY' AND KSQL_COL_NAME ='FCALSCOPETYPE')
 ALTER TABLE T_OCCPIC_REBATEPOLICY ADD (FCALSCOPETYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPOLICY' AND KSQL_COL_NAME ='FREBATECLASSID')
 ALTER TABLE T_OCCPIC_REBATEPOLICY ADD (FREBATECLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPOLICY' AND KSQL_COL_NAME ='FLADDERTYPEID')
 ALTER TABLE T_OCCPIC_REBATEPOLICY ADD (FLADDERTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATEPOLICY' AND KSQL_COL_NAME ='FCALBILLTYPEID')
 ALTER TABLE T_OCCPIC_REBATEPOLICY ADD (FCALBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FFORMULAID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FFORMULAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FBIZORGID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FBIZORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FBALANCEORGID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FBALANCEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FTARGETCALTYPE')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FTARGETCALTYPE NVARCHAR(20) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FCALSCOPETYPE')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FCALSCOPETYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FREBATECLASSID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FREBATECLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FLADDERTYPEID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FLADDERTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FCALBILLTYPEID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FCALBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FAUDITORID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FAUDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FAUDITDATE')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FAUDITDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FBNFCUSTOMERCLASSID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FBNFCUSTOMERCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCCPIC_REBATETARGET' AND KSQL_COL_NAME ='FBNFCHANNELCLASSID')
 ALTER TABLE T_OCCPIC_REBATETARGET ADD (FBNFCHANNELCLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_MODEL')
 CREATE TABLE T_OCCPIC_IREBATE_MODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMETADATAID VARCHAR(40) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_MODEL_L')
 CREATE TABLE T_OCCPIC_IREBATE_MODEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_SOURCE')
 CREATE TABLE T_OCCPIC_IREBATE_SOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FIREBATEMODELID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID VARCHAR(40) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IREBATE_SOURCE_L')
 CREATE TABLE T_OCCPIC_IREBATE_SOURCE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IRM_CALCFIELD')
 CREATE TABLE T_OCCPIC_IRM_CALCFIELD (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCALCPROPID VARCHAR(40) DEFAULT ' ' NOT NULL,
FPROPID VARCHAR(40) DEFAULT ' ' NOT NULL,
FCALCTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPLUGIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FDIMFIELD VARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IRM_DATASOURCE')
 CREATE TABLE T_OCCPIC_IRM_DATASOURCE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATASOURCEID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IRM_PROP')
 CREATE TABLE T_OCCPIC_IRM_PROP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROPID VARCHAR(40) DEFAULT ' ' NOT NULL,
FPROPTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCCPIC_IRS_FIELDMAP')
 CREATE TABLE T_OCCPIC_IRS_FIELDMAP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FIREBATEPROPID VARCHAR(40) DEFAULT ' ' NOT NULL,
FSOURCEFIELDID VARCHAR(40) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_table.sql **/
