﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCCPIC_REBATEBILL', 'T_OCCPIC_REBATEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEBILL_NO') CREATE UNIQUE INDEX IDX_OCCPIC_REBATEBILL_NO ON T_OCCPIC_REBATEBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEBILL_SOCHL') CREATE INDEX IDX_OCCPIC_REBATEBILL_SOCHL ON T_OCCPIC_REBATEBILL ( FSALECHANNELID ,FORDERCHANNELID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEENTRY', 'T_OCCPIC_REBATEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEENTRY_FID') CREATE INDEX IDX_OCCPIC_REBATEENTRY_FID ON T_OCCPIC_REBATEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEPREBUDGET', 'T_OCCPIC_REBATEPREBUDGET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEPREBUDGET_NUM') CREATE INDEX IDX_OCCPIC_REBATEPREBUDGET_NUM ON T_OCCPIC_REBATEPREBUDGET ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEPBDGENTRY', 'T_OCCPIC_REBATEPBDGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEPBDGENTRY_FID') CREATE INDEX IDX_OCCPIC_REBATEPBDGENTRY_FID ON T_OCCPIC_REBATEPBDGENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_RBTGT_SIGNCUST', 'T_OCCPIC_RBTGT_SIGNCUST', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_SIGNCUST') CREATE INDEX IDX_OCCPIC_RBTGT_SIGNCUST ON T_OCCPIC_RBTGT_SIGNCUST ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_SIGNCU_CUST') CREATE INDEX IDX_OCCPIC_RBTGT_SIGNCU_CUST ON T_OCCPIC_RBTGT_SIGNCUST ( FSCUSTOMERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_SIGNCU_CHL') CREATE INDEX IDX_OCCPIC_RBTGT_SIGNCU_CHL ON T_OCCPIC_RBTGT_SIGNCUST ( FSCHANNELID );


 EXEC P_ALTERPK 'PK_OCCPIC_RBTGT_FORM_DT', 'T_OCCPIC_RBTGT_FORM_DT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGTFORMDT_FID') CREATE INDEX IDX_OCCPIC_RBTGTFORMDT_FID ON T_OCCPIC_RBTGT_FORM_DT ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_RBTGT_ITEMCLASS', 'T_OCCPIC_RBTGT_ITEMCLASS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGTITEMCLASS_FID') CREATE INDEX IDX_OCCPIC_RBTGTITEMCLASS_FID ON T_OCCPIC_RBTGT_ITEMCLASS ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGTITEMCLASS_PMID') CREATE INDEX IDX_OCCPIC_RBTGTITEMCLASS_PMID ON T_OCCPIC_RBTGT_ITEMCLASS ( FPRODUCTMODELID );


 EXEC P_ALTERPK 'PK_OCCPIC_RBTGT_SALESATTR', 'T_OCCPIC_RBTGT_SALESATTR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGTSALESATTR_FBID') CREATE INDEX IDX_OCCPIC_RBTGTSALESATTR_FBID ON T_OCCPIC_RBTGT_SALESATTR ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEBASETAB', 'T_OCCPIC_REBATEBASETAB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEBASETAB_SNO') CREATE INDEX IDX_OCCPIC_REBATEBASETAB_SNO ON T_OCCPIC_REBATEBASETAB ( FSERIALNO );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEPOLICY', 'T_OCCPIC_REBATEPOLICY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEPOLICY_BNO') CREATE INDEX IDX_OCCPIC_REBATEPOLICY_BNO ON T_OCCPIC_REBATEPOLICY ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATETARGET', 'T_OCCPIC_REBATETARGET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_BNO') CREATE INDEX IDX_OCCPIC_RBTGT_BNO ON T_OCCPIC_REBATETARGET ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_POLICY') CREATE INDEX IDX_OCCPIC_RBTGT_POLICY ON T_OCCPIC_REBATETARGET ( FPOLICYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_CHL') CREATE INDEX IDX_OCCPIC_RBTGT_CHL ON T_OCCPIC_REBATETARGET ( FBNFCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_EFFTIME') CREATE INDEX IDX_OCCPIC_RBTGT_EFFTIME ON T_OCCPIC_REBATETARGET ( FSTARTTIME ,FENDTIME );


 EXEC P_ALTERPK 'PK_OCCPIC_RP_BNFCUST', 'T_OCCPIC_RP_BNFCUST', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RPBNFCUST_FID') CREATE INDEX IDX_OCCPIC_RPBNFCUST_FID ON T_OCCPIC_RP_BNFCUST ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_RP_FORMULA', 'T_OCCPIC_RP_FORMULA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RPFORMULA_FID') CREATE INDEX IDX_OCCPIC_RPFORMULA_FID ON T_OCCPIC_RP_FORMULA ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_RP_ITEMCLASS', 'T_OCCPIC_RP_ITEMCLASS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RPITEMCLASS_FID') CREATE INDEX IDX_OCCPIC_RPITEMCLASS_FID ON T_OCCPIC_RP_ITEMCLASS ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_RP_SIGNCUST', 'T_OCCPIC_RP_SIGNCUST', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RPSIGNCUST_FID') CREATE INDEX IDX_OCCPIC_RPSIGNCUST_FID ON T_OCCPIC_RP_SIGNCUST ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_RPSALESATTRS', 'T_OCCPIC_RPSALESATTRS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RPSALESATTRS_FBID') CREATE INDEX IDX_OCCPIC_RPSALESATTRS_FBID ON T_OCCPIC_RPSALESATTRS ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATESTATEMENT', 'T_OCCPIC_REBATESTATEMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATESTATEMENT_NUM') CREATE INDEX IDX_OCCPIC_REBATESTATEMENT_NUM ON T_OCCPIC_REBATESTATEMENT ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATESTMENTRY', 'T_OCCPIC_REBATESTMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATESTMENTRY_FID') CREATE INDEX IDX_OCCPIC_REBATESTMENTRY_FID ON T_OCCPIC_REBATESTMENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_FLOWRECORD', 'T_OCCPIC_FLOWRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FLOWRECORD_BNO') CREATE INDEX IDX_OCDBD_FLOWRECORD_BNO ON T_OCCPIC_FLOWRECORD ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEPRBD_SA', 'T_OCCPIC_REBATEPRBD_SA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEPRBDSA_FBID') CREATE INDEX IDX_OCCPIC_REBATEPRBDSA_FBID ON T_OCCPIC_REBATEPRBD_SA ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCCPIC_RBTGT_ICSUB', 'T_OCCPIC_RBTGT_ICSUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBTGT_ICSUBMODEL') CREATE INDEX IDX_OCCPIC_RBTGT_ICSUBMODEL ON T_OCCPIC_RBTGT_ICSUB ( FSUBPRODUCTMODEL );


 EXEC P_ALTERPK 'PK_OCCPIC_RP_ITSUBENTRY', 'T_OCCPIC_RP_ITSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RP_ITSUBENTRY_ET') CREATE INDEX IDX_OCCPIC_RP_ITSUBENTRY_ET ON T_OCCPIC_RP_ITSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCCPIC_PRET_RELATION', 'T_OCCPIC_PRET_RELATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_PRET_RELATION_RP') CREATE INDEX IDX_OCCPIC_PRET_RELATION_RP ON T_OCCPIC_PRET_RELATION ( FREBATEPOLICYID );


 EXEC P_ALTERPK 'PK_OCCPIC_RELATIONENTITY', 'T_OCCPIC_RELATIONENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RELATIONENTITY_FID') CREATE INDEX IDX_OCCPIC_RELATIONENTITY_FID ON T_OCCPIC_RELATIONENTITY ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_PRETCORRES', 'T_OCCPIC_PRETCORRES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_PRETCORRES_PGID') CREATE INDEX IDX_OCCPIC_PRETCORRES_PGID ON T_OCCPIC_PRETCORRES ( FPOLICYGOALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_PRETCORRES_CID') CREATE INDEX IDX_OCCPIC_PRETCORRES_CID ON T_OCCPIC_PRETCORRES ( FCHANNELID );


 EXEC P_ALTERPK 'PK_OCCPIC_PACKINSTRUCT', 'T_OCCPIC_PACKINSTRUCT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_PACKINSTRUCT_FBID') CREATE INDEX IDX_OCCPIC_PACKINSTRUCT_FBID ON T_OCCPIC_PACKINSTRUCT ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCCPIC_BALANCEAD_ENTRY', 'T_OCCPIC_BALANCEAD_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_BALANCEADENTRY_FID') CREATE INDEX IDX_OCCPIC_BALANCEADENTRY_FID ON T_OCCPIC_BALANCEAD_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATESTM_SA', 'T_OCCPIC_REBATESTM_SA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATESTMSA_FBID') CREATE INDEX IDX_OCCPIC_REBATESTMSA_FBID ON T_OCCPIC_REBATESTM_SA ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCCPIC_RELATIONLOG', 'T_OCCPIC_RELATIONLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RELATIONLOG_RID') CREATE INDEX IDX_OCCPIC_RELATIONLOG_RID ON T_OCCPIC_RELATIONLOG ( FREBATEPOLICYID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEPREBD_X', 'T_OCCPIC_REBATEPREBD_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEPREBDX_BNO') CREATE INDEX IDX_OCCPIC_REBATEPREBDX_BNO ON T_OCCPIC_REBATEPREBD_X ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCCPIC_RBBDENTRY_X', 'T_OCCPIC_RBBDENTRY_X', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_RBBDENTRY_X_FID') CREATE INDEX IDX_OCCPIC_RBBDENTRY_X_FID ON T_OCCPIC_RBBDENTRY_X ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEPREBD_X_C', 'T_OCCPIC_REBATEPREBD_X_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEPREBDXC_CNO') CREATE INDEX IDX_OCCPIC_REBATEPREBDXC_CNO ON T_OCCPIC_REBATEPREBD_X_C ( FCHANGEBILLNO );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEPRBD_SA_X', 'T_OCCPIC_REBATEPRBD_SA_X', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEPRBDSAX_FBID') CREATE INDEX IDX_OCCPIC_REBATEPRBDSAX_FBID ON T_OCCPIC_REBATEPRBD_SA_X ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEMONTHLY_L', 'T_OCCPIC_REBATEMONTHLY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEMONTHLY_FLID') CREATE INDEX IDX_OCCPIC_REBATEMONTHLY_FLID ON T_OCCPIC_REBATEMONTHLY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCCPIC_REBATEMONTHLY', 'T_OCCPIC_REBATEMONTHLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REBATEMONTHLY_NUM') CREATE INDEX IDX_OCCPIC_REBATEMONTHLY_NUM ON T_OCCPIC_REBATEMONTHLY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCCPIC_REMON_ENTRY', 'T_OCCPIC_REMON_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REMON_ENTRY_FID') CREATE INDEX IDX_OCCPIC_REMON_ENTRY_FID ON T_OCCPIC_REMON_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_REMON_ENTRY_M', 'T_OCCPIC_REMON_ENTRY_M', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REMON_ENTRY_M_UID') CREATE INDEX IDX_OCCPIC_REMON_ENTRY_M_UID ON T_OCCPIC_REMON_ENTRY_M ( FUNITID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REMON_ENTRY_M_CID') CREATE INDEX IDX_OCCPIC_REMON_ENTRY_M_CID ON T_OCCPIC_REMON_ENTRY_M ( FRPPRECURRENCYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_REMON_ENTRY_M_FID') CREATE INDEX IDX_OCCPIC_REMON_ENTRY_M_FID ON T_OCCPIC_REMON_ENTRY_M ( FID );


 EXEC P_ALTERPK 'PK_OCCPIC_BALANCEADJUST', 'T_OCCPIC_BALANCEADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCCPIC_BALANCEADJUST_NO') CREATE INDEX IDX_OCCPIC_BALANCEADJUST_NO ON T_OCCPIC_BALANCEADJUST ( FBILLNO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCCPIC_constraint.sql **/
